%global modulename cache-base

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-cache-base
Version:        1.0.1
Release:        1%{?dist}
Summary:        Basic object cache with `get`, `set`, `del`, and `has` methods for node.js/javascript projects.

License:        MIT
URL:            https://github.com/jonschlinkert/cache-base
Source0:        https://registry.npmjs.org/cache-base/-/cache-base-1.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(collection-visit) >= 1.0.0 with npmlib(collection-visit) < 2.0.0))
BuildRequires:  ((npmlib(component-emitter) >= 1.2.1 with npmlib(component-emitter) < 2.0.0))
BuildRequires:  ((npmlib(get-value) >= 2.0.6 with npmlib(get-value) < 3.0.0))
BuildRequires:  ((npmlib(has-value) >= 1.0.0 with npmlib(has-value) < 2.0.0))
BuildRequires:  ((npmlib(isobject) >= 3.0.1 with npmlib(isobject) < 4.0.0))
BuildRequires:  ((npmlib(set-value) >= 2.0.0 with npmlib(set-value) < 3.0.0))
BuildRequires:  ((npmlib(to-object-path) >= 0.3.0 with npmlib(to-object-path) < 0.4.0))
BuildRequires:  ((npmlib(union-value) >= 1.0.0 with npmlib(union-value) < 2.0.0))
BuildRequires:  ((npmlib(unset-value) >= 1.0.0 with npmlib(unset-value) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Basic object cache with `get`, `set`, `del`, and `has` methods for node.js/javascript projects.

%package 1.0.1
Summary:        Basic object cache with `get`, `set`, `del`, and `has` methods for node.js/javascript projects.


%description 1.0.1
Basic object cache with `get`, `set`, `del`, and `has` methods for node.js/javascript projects.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 1.0.1-1
- Package automatically generated by npm2srpm
